Snap-in MMC per ASP.NET

 elenco a discesa elenco a discesa attivabile
ASP.NET
Snap-in MMC per ASP.NET
elenco a discesa

La presente sezione contiene argomenti che descrivono come utilizzare lo snap-in MMC (Microsoft Management Console) per configurare ASP.NET e le applicazioni ASP.NET.

MMC ospita strumenti di amministrazione da utilizzare per amministrare computer, servizi, altri componenti di sistema e reti. È possibile aggiungere uno o più di questi strumenti di amministrazione, chiamati snap-in, alla console per la gestione di un'applicazione Web. Lo strumento Snap-in per MMC fornisce un interfaccia utente essenziale per la configurazione dei server Web e le applicazioni ospitate da questi ultimi. Include numerose finestre di dialogo che contentono di gestire funzionalità specifiche, come la gestione personalizzata degli errori o l'autenticazione utente.

In questa sezione

Scheda Generale, finestra di dialogo Impostazioni di configurazione di ASP.NET
Scheda Errori personalizzati, finestra di dialogo Impostazioni di configurazione di ASP.NET
Scheda Autorizzazione, finestra di dialogo Impostazioni di configurazione di ASP.NET
Scheda Autenticazione, finestra di dialogo Impostazioni di configurazione di ASP.NET
Scheda Applicazione, finestra di dialogo Impostazioni di configurazione di ASP.NET
Scheda Gestione stato, finestra di dialogo Impostazioni di configurazione di ASP.NET
Scheda Percorsi, finestra di dialogo Impostazioni di configurazione di ASP.NET
Finestra di dialogo Modifica/Aggiungi stringa di connessione
Finestra di dialogo Modifica/Aggiungi impostazioni applicazione
Finestra di dialogo Modifica/Aggiungi gestori di errori personalizzati
Finestra di dialogo Modifica regola
Finestra di dialogo Aggiungi percorso

Sezioni correlate

Configurazione di applicazioni ASP.NET

Fornisce informazioni relative al modello di configurazione di ASP.NET. Tra le informazioni sono inclusi l'utilizzo dei file XML e dell'API per la programmazione della configurazione.
Immagine piè di pagina
Per inviare suggerimenti o segnalare errori relativi alla Guida o a un'altra funzionalità del prodotto, visitare il sito per l'invio di suggerimenti.


Scheda Generale, finestra di dialogo Impostazioni di configurazione di ASP.NET

 elenco a discesa elenco a discesa attivabile
Scheda Generale, finestra di dialogo Impostazioni di configurazione di ASP.NET
Vedere anche
elenco a discesa

La scheda Generale della finestra di dialogo Impostazioni di configurazione di ASP.NET consente di gestire due tipi di impostazioni di configurazione:

  • Stringhe di connessione, che consentono di definire le informazioni utilizzate per stabilire una connessione a un archivio dati, ad esempio un database.

  • Impostazioni dell'applicazione, che rappresentano semplici coppie chiave/valore che consentano di creare valori a livello di applicazione in una posizione centrale. È possibile quindi accedere ai valori dell'applicazione da un punto qualsiasi all'interno dell'applicazione Web. Se le impostazioni dell'applicazione vengono considerate parte integrante della configurazione, sarà possibile modificarle facilmente. Le impostazioni dell'applicazione vengono sempre memorizzate come stringhe.

Le impostazioni configurate nella scheda Generale vengono applicate all'applicazione Web selezionata prima di aprire la finestra di dialogo Proprietà.

Nota Nota

È possibile ereditare le impostazioni di configurazione. Le impostazioni possono essere definite nel file Machine.config, che funge da configurazione di base per tutti i siti Web e le applicazioni presenti sul server. È possibile creare nuove impostazioni o eseguire l'override di quelle ereditate creando impostazioni di configurazione a livello di applicazione Web.

Per aprire la finestra di dialogo Generale

  1. In Microsoft Windows aprire Strumenti di amministrazione, quindi fare clic su Gestione Internet Information Services (IIS).

    Verrà visualizzato Gestione IIS.

  2. In Internet Information Services espandere Servername (computer locale), espandere Siti Web, fare clic con il pulsante destro del mouse su Websitename o Sito Web predefinito, infine scegliere Proprietà.

    Verrà visualizzata la finestra di dialogo Proprietà sito Web.

  3. Fare clic sulla scheda ASP.NET, quindi scegliere Modifica configurazione.

    Verrà visualizzata la finestra di dialogo Impostazioni di configurazione di ASP.NET.

  4. Fare clic sulla scheda Generale.

Attività

Mediante la scheda Generale è possibile:

  • Definire le stringhe di connessione al database per l'applicazione Web.

  • Creare valori stringa per l'archiviazione delle informazioni utilizzate di frequente. Sarà quindi possibile accedere alle informazioni da qualsiasi punto all'interno dell'applicazione nonché modificarle con facilità.

Elementi di interfaccia

Gestione stringhe di connessione

Elenca le stringhe di connessione definite per l'applicazione Web selezionata. Le impostazioni ereditate sono in corsivo mentre quelle di cui è stato eseguito l'override sono in grassetto.

Aggiungi

Fare clic per visualizzare la finestra di dialogo Modifica/Aggiungi stringa di connessione, in cui è possibile creare una nuova stringa di connessione.

Modifica

Fare clic per visualizzare la finestra di dialogo Modifica/Aggiungi stringa di connessione, in cui è possibile modificare una stringa di connessione esistente.

È possibile eseguire l'override delle impostazioni ereditate. In tal caso, l'impostazione di cui è stato eseguito l'override viene applicata solo all'applicazione Web selezionata. Non è possibile modificare un'impostazione ereditata in modo da elevarne il valore nella gerarchia di configurazione.

Rimuovi

Fare clic per rimuovere o disattivare la stringa di connessione.

È possibile rimuovere definitivamente le nuove impostazioni definite per questa applicazione Web. Se si rimuove un'impostazione ereditata, quella originale viene lasciata inalterata nella relativa posizione all'interno della gerarchia e viene creata una voce <remove> per l'impostazione, che consente di disattivarla.

Ripristina

Fare clic per reimpostare sul valore originale un'impostazione rimossa o di cui è stato eseguito l'override.

Viene rimosso il valore locale di cui è stato eseguito l'override o viene eliminata la voce <remove> per consentire all'impostazione ereditata di avere la precedenza.

Impostazioni applicazione

Elenca le coppie chiave/valore dell'impostazione dell'applicazione.

Aggiungi

Fare clic per visualizzare la finestra di dialogo Modifica/Aggiungi impostazioni applicazione, in cui è possibile creare una nuova coppia chiave/valore.

Modifica

Fare clic per visualizzare la finestra di dialogo Modifica/Aggiungi impostazioni applicazione, in cui è possibile modificare una coppia chiave/valore esistente.

È possibile eseguire l'override delle impostazioni ereditate. In tal caso, l'impostazione di cui è stato eseguito l'override viene applicata solo all'applicazione Web selezionata. Non è possibile modificare un'impostazione ereditata in modo da elevarne il valore nella gerarchia di configurazione.

Rimuovi

Fare clic per rimuovere o disattivare la coppia chiave/valore.

È possibile rimuovere definitivamente le nuove impostazioni definite per questa applicazione Web. Se si rimuove un'impostazione ereditata, quella originale viene lasciata inalterata nella relativa posizione all'interno della gerarchia e viene creata una voce <remove> per l'impostazione, che consente di disattivarla.

Ripristina

Fare clic per reimpostare sul valore originale una coppia chiave/valore rimossa o di cui è stato eseguito l'override.

Viene rimosso il valore locale di cui è stato eseguito l'override o viene eliminata la voce <remove> per consentire all'impostazione ereditata di avere la precedenza.

Vedere anche

Attività

Procedura: accedere alle impostazioni di configurazione ASP.NET a livello di codice

Riferimenti

Scheda Autenticazione, finestra di dialogo Impostazioni di configurazione di ASP.NET
Scheda Autorizzazione, finestra di dialogo Impostazioni di configurazione di ASP.NET
Scheda Errori personalizzati, finestra di dialogo Impostazioni di configurazione di ASP.NET
Scheda Percorsi, finestra di dialogo Impostazioni di configurazione di ASP.NET
Elemento connectionStrings (schema delle impostazioni ASP.NET)
Elemento appSettings (schema delle impostazioni generali)

Concetti

Cenni preliminari sulla configurazione di ASP.NET

Immagine piÃ¨ di pagina


Scheda Errori personalizzati, finestra di dialogo Impostazioni di configurazione di ASP.NET

 elenco a discesa elenco a discesa attivabile
Scheda Errori personalizzati, finestra di dialogo Impostazioni di configurazione di ASP.NET
Vedere anche
elenco a discesa

Quando si verifica un errore in un componente o in una pagina Web ASP.NET, in ASP.NET viene generato un codice di errore. Gli errori possono includere i seguenti tipi:

  • In fase di compilazione.

  • Parser (elementi ASP.NET non validi).

  • Configurazione.

  • Runtime.

Per impostazione predefinita, in ASP.NET viene dinamicamente generata una pagina di errore contenente una descrizione dell'errore, il nome della pagina in cui si è verificato l'errore e un'analisi dello stack. Se la modalità di debug è attivata, la pagina generata dinamicamente include anche una porzione del codice sorgente in cui l'errore ha avuto origine. Definendo gli errori personalizzati, è possibile specificare il tipo di risposta dell'applicazione Web quando si verifica un errore.

Nota Nota

Per informazioni dettagliate sulla modalità di debug, vedere Scheda Applicazione, finestra di dialogo Impostazioni di configurazione di ASP.NET.

Per visualizzare la scheda Errori personalizzati della finestra di dialogo Impostazioni di configurazione di ASP.NET

  1. In Microsoft Windows aprire Strumenti di amministrazione, quindi fare clic su Gestione Internet Information Services (IIS).

    Verrà visualizzato Gestione IIS.

  2. In Internet Information Services espandere Servername (computer locale), quindi Siti Web, fare clic con il pulsante destro del mouse su Websitename o Sito Web predefinito, infine scegliere Proprietà.

    Verrà visualizzata la finestra di dialogo Proprietà sito Web.

  3. Fare clic sulla scheda ASP.NET, quindi scegliere Modifica configurazione.

    Verrà visualizzata la finestra di dialogo Impostazioni di configurazione di ASP.NET.

  4. Fare clic sulla scheda Errori personalizzati.

Attività

Mediante la scheda Errori personalizzati è possibile:

  • Specificare una pagina di errore predefinita, da visualizzare quando si verifica un errore ASP.NET in qualsiasi punto dell'applicazione Web.

  • Mappare i codici di errore HTTP specifici alle corrispondenti pagine di errore.

    Nota Nota

    I mapping funzionano solo per gli errori di cui viene inviata una notifica ad ASP.NET. Per impostazione predefinita, ad esempio, ad ASP.NET non vengono notificati gli errori HTTP 404 (pagina non trovata). Se si desidera inviare questi errori ad ASP.NET, è possibile impostare le proprietà del sito Web in modo da mappare gli errori HTTP alle pagine aspx.

  • Specificare se le pagine di errori personalizzati debbano essere visualizzate per tutti gli utenti, per nessun utente o per gli utenti remoti (non amministrativi).

Elementi di interfaccia

Modalità errori personalizzati

Fare clic su una modalità per specificare la modalità di visualizzazione degli errori personalizzati, nel modo seguente:

  • On

    Le pagine degli errori personalizzati sono sempre visualizzate. Utilizzare questa impostazione per visualizzare gli errori durante lo sviluppo dell'applicazione Web.

  • Off

    Le pagine degli errori personalizzati non sono visualizzate. Gli errori restituiscono invece una pagina di errore ASP.NET generata dinamicamente.

  • Remote Only

    Gli errori vengono reindirizzati solo per le richieste che non hanno origine localmente sul server Web. Utilizzare questa modalità per visualizzare gli errori ASP.NET mentre si lavora sul server, ma visualizzare gli errori personalizzati agli utenti dell'applicazione Web.

URL di reindirizzamento predefinito

Digitare il nome di una pagina (aspx o htm) da visualizzare in risposta agli errori non gestiti in qualsiasi punto dell'applicazione Web.

Errori personalizzati ereditati

Elenca le pagine degli errori personalizzati ereditati dai file di configurazione che occupano una posizione più alta nella gerarchia. È possibile eseguire l'override delle impostazioni degli errori ereditati aggiungendo un errore personalizzato locale per il codice di stato di cui si desidera eseguire l'override.

Errori personalizzati locali

Elenca le pagine degli errori specifici del sito Web corrente.

Aggiungi

Fare clic per aprire la finestra di dialogo Modifica/Aggiungi gestori di errori personalizzati in cui è possibile specificare un codice di errore HTTP e la pagina da visualizzare quando in ASP.NET viene rilevato l'errore.

Nota Nota

I mapping funzionano solo per gli errori di cui viene inviata una notifica ad ASP.NET. Per impostazione predefinita, ad esempio, ad ASP.NET non vengono notificati gli errori HTTP 404 (pagina non trovata). Se si desidera inviare questi errori ad ASP.NET, è possibile impostare le proprietà del sito Web in modo da mappare gli errori HTTP alle pagine aspx.

È necessario specificare il codice di errore HTTP e l'URL della pagina a cui è mappato. È necessario che la pagina a cui si fa riferimento non si trovi nel sito Web corrente.

Nota Nota

Gestione IIS non convalida l'URL immesso.

Modifica

Fare clic per aprire la finestra di dialogo Modifica/Aggiungi gestori di errori personalizzati in cui è possibile modificare il nome della pagina o il codice di errore relativo alla pagina selezionata in Errori personalizzati locali.

Rimuovi

Fare clic per eliminare un mapping di pagina di errore.

Vedere anche

Attività

Procedura: accedere alle impostazioni di configurazione ASP.NET a livello di codice

Riferimenti

Scheda Autenticazione, finestra di dialogo Impostazioni di configurazione di ASP.NET
Scheda Autorizzazione, finestra di dialogo Impostazioni di configurazione di ASP.NET
Scheda Percorsi, finestra di dialogo Impostazioni di configurazione di ASP.NET
Elemento connectionStrings (schema delle impostazioni ASP.NET)
Elemento appSettings (schema delle impostazioni generali)

Concetti

Cenni preliminari sulla configurazione di ASP.NET


Scheda Autorizzazione, finestra di dialogo Impostazioni di configurazione di ASP.NET

 elenco a discesa elenco a discesa attivabile
Scheda Autorizzazione, finestra di dialogo Impostazioni di configurazione di ASP.NET
Vedere anche
elenco a discesa

La scheda Autorizzazione della finestra di dialogo Impostazioni di configurazione di ASP.NET consente di gestire le regole di autorizzazione per la directory del sito Web corrente in base agli account utente e ai ruoli. È possibile creare account utente e ruoli mediante l'autenticazione di Microsoft Windows o l'autenticazione basata su form di ASP.NET (appartenenze di ASP.NET). È possibile aggiungere, modificare o rimuovere le regole per la directory del sito Web corrente. Le regole vengono applicate alla sottodirectory corrente e a tutte le sottodirectory figlio dell'URL corrente, se non diversamente sovrascritte da un'impostazione del file di configurazione nella sottodirectory figlio.

Anche le regole ereditate dal file di configurazione Machine.config e da qualsiasi directory virtuale padre vengono visualizzate, ma non possono essere modificate. Per modificare l'effetto delle regole ereditate, è possibile creare nuove impostazioni a livello di sito Web. Le impostazioni dell'applicazione vengono sempre memorizzate come stringhe.

Le impostazioni configurate nella scheda Autorizzazione vengono applicate al sito Web selezionato prima di visualizzare la finestra di dialogo Proprietà.

Nota Nota

È possibile ereditare le impostazioni di configurazione. È possibile definire le impostazioni nel file Machine.config, che rappresenta la configurazione di base per tutti i siti Web sul server. Per ulteriori informazioni sui file di configurazione ASP.NET, vedere Gerarchia ed ereditarietà dei file di configurazione di ASP.NET.

Per aprire la finestra di dialogo Autorizzazione

  1. In Windows aprire Strumenti di amministrazione, quindi fare clic su Gestione Internet Information Services (IIS).

    Verrà visualizzato Gestione IIS.

  2. In Internet Information Services espandere Servername (computer locale), espandere Siti Web, fare clic con il pulsante destro del mouse su Websitename o Sito Web predefinito, infine scegliere Proprietà.

    Verrà visualizzata la finestra di dialogo Proprietà sito Web.

  3. Fare clic sulla scheda ASP.NET, quindi scegliere Modifica configurazione.

  4. Verrà visualizzata la finestra di dialogo Impostazioni di configurazione di ASP.NET.

  5. Fare clic sulla scheda Autorizzazione.

Attività

Mediante la scheda Autorizzazione è possibile:

  • Visualizzare le regole di autorizzazione definite in tutti i file di configurazione ereditati, tra cui il file Machine.config.

  • Aggiungere, modificare e rimuovere le regole di autorizzazione per la directory del sito Web corrente.

Precedenza delle regole

Le regole di autorizzazione vengono applicate in sequenza, dall'alto verso il basso. In alcuni casi, potrebbe essere necessario creare più regole per la stessa cartella per stabilire le autorizzazioni corrette. È possibile, ad esempio, creare una regola per negare l'accesso agli account utente anonimi e un'altra regola per negare l'accesso agli account utente del ruolo Guest. In tal modo, possono accedere alla cartella solo gli utenti connessi (non anonimi) e appartenenti a un altro gruppo (diverso da Guest).

Impostazioni di Web.config

Le impostazioni di Web.config gestite attraverso la scheda Protezione sono le sezioni <authorization>, <roleManager> e <authentication>.

La seguente porzione di un file Web.config limita l'accesso a una sottodirectory del sito Web. L'accesso alla sottodirectory con restrizioni è consentito agli amministratori e all'utente denominato John ed è negato agli utenti anonimi.

Immagine CopyCode Copia codice
<?xml version="1.0" encoding="utf-8"?>
<configuration>
    <system.web>
        <authorization>
            <allow roles="administrators" />
            <allow users="John"/>
            <deny users="?" />
        </authorization>
    </system.web>
</configuration>

Elementi di interfaccia

Regole di autorizzazione ereditate

Riporta l'elenco delle regole di autorizzazione ereditate, definite nel file Machine.config o in qualsiasi directory virtuale padre, come illustrato in Gerarchia ed ereditarietà dei file di configurazione di ASP.NET. Le impostazioni ereditate sono in corsivo mentre quelle di cui è stato eseguito l'override sono in grassetto.

Regole di autorizzazione locali

Riporta l'elenco delle regole di autorizzazione applicate alla directory del sito Web corrente e a tutte le directory figlio.

Aggiungi

Fare clic per aprire la Finestra di dialogo Modifica regola per creare una nuova regola.

Modifica

Fare clic per aprire la Finestra di dialogo Modifica regola per modificare la regola selezionata.

Rimuovi

Fare clic per eliminare la riga selezionata da Regole di autorizzazione locali.

Vedere anche

Attività

Procedura: accedere alle impostazioni di configurazione ASP.NET a livello di codice

Riferimenti

Scheda Autenticazione, finestra di dialogo Impostazioni di configurazione di ASP.NET
Scheda Percorsi, finestra di dialogo Impostazioni di configurazione di ASP.NET
Elemento connectionStrings (schema delle impostazioni ASP.NET)
Elemento appSettings (schema delle impostazioni generali)

Concetti

Cenni preliminari sulla configurazione di ASP.NET

Altre risorse

Snap-in MMC per ASP.NET


Scheda Autenticazione, finestra di dialogo Impostazioni di configurazione di ASP.NET

 elenco a discesa elenco a discesa attivabile
Scheda Autenticazione, finestra di dialogo Impostazioni di configurazione di ASP.NET
Vedere anche
elenco a discesa

La scheda Autenticazione della finestra di dialogo Impostazioni di configurazione di ASP.NET consente di gestire l'autenticazione di account utente e ruoli per il sito Web corrente. L'autenticazione ASP.NET è il processo mediante il quale vengono ottenute credenziali quali un nome e una password da un account utente. Tali credenziali vengono quindi convalidate da una determinata autorità. Per una descrizione completa delle modalità di implementazione dell'autenticazione mediante ASP.NET, vedere Autenticazione ASP.NET.

La scheda Autenticazione può essere utilizzata anche per aggiungere, rimuovere e configurare i provider di appartenenze e la gestione dei ruoli per l'applicazione Web corrente. La gestione dei ruoli di ASP.NET consente di specificare le risorse a cui possono accedere gli account utente dell'applicazione nonché considerare i gruppi di utenti come unità assegnando gli account utente ai ruoli. Per ulteriori informazioni sulla gestione dei ruoli di ASP.NET, vedere Informazioni sulla gestione dei ruoli.

È possibile creare e utilizzare provider di appartenenze personalizzati nell'applicazione Web. Per una descrizione completa della modalità di implementazione di un provider di appartenenze personalizzato, vedere Implementazione di un provider di appartenenze.

Le impostazioni configurate nella scheda Autenticazione vengono applicate al sito Web selezionato prima di aprire la finestra di dialogo Proprietà.

Nota Nota

È possibile ereditare le impostazioni di configurazione. È possibile definire le impostazioni nel file Machine.config, che rappresenta la configurazione di base per tutti i siti Web sul server. Per ulteriori informazioni sui file di configurazione ASP.NET, vedere Gerarchia ed ereditarietà dei file di configurazione di ASP.NET.

Per visualizzare la scheda Autenticazione della finestra di dialogo Impostazioni di configurazione di ASP.NET

  1. In Microsoft Windows aprire Strumenti di amministrazione, quindi fare clic su Gestione Internet Information Services (IIS).

    Verrà visualizzato Gestione IIS.

  2. In Internet Information Services espandere Servername (computer locale), quindi Siti Web, fare clic con il pulsante destro del mouse su Websitename o Sito Web predefinito, infine scegliere Proprietà.

    Verrà visualizzata la finestra di dialogo Proprietà sito Web.

  3. Fare clic sulla scheda ASP.NET, quindi scegliere Modifica configurazione.

    Verrà visualizzata la finestra di dialogo Impostazioni di configurazione di ASP.NET.

  4. Fare clic sulla scheda Autenticazione.

Attività

Mediante la scheda Autenticazione è possibile:

  • Configurare il tipo di autenticazione per l'applicazione Web corrente.

  • Aggiungere, rimuovere e modificare i provider di appartenenze per l'applicazione Web corrente.

  • Aggiungere, rimuovere e modificare i provider di appartenenze ai ruoli per l'applicazione Web corrente.

Elementi di interfaccia

Modalità di autenticazione

Fare clic per specificare la modalità di autenticazione per il sito Web corrente. Per una descrizione completa di ogni modalità di autenticazione, vedere Autenticazione ASP.NET.

Nome cookie HTTP

Digitare il nome del cookie HTTP utilizzato per l'autenticazione nel sito Web corrente. Nome cookie HTTP è disponibile solo per la configurazione dell'autenticazione basata su form.

URL di accesso

Digitare l'URL a cui viene reindirizzata la richiesta per l'accesso se non viene individuato alcun cookie di autenticazione valido. L'impostazione predefinita è login.aspx. URL di accesso è disponibile solo per la configurazione dell'autenticazione basata su form.

Protezione cookie

Fare clic per specificare l'eventuale tipo di crittografia da utilizzare per il cookie di autenticazione. Protezione cookie è disponibile solo per la configurazione dell'autenticazione basata su form.

Timeout cookie

Immettere l'intervallo di tempo, in minuti interi, trascorso il quale il cookie di autenticazione scade. Il valore predefinito è 30. Timeout cookie è disponibile solo per la configurazione dell'autenticazione basata su form.

Richiedi SSL

Selezionare questa casella di controllo per specificare che è necessaria una connessione SSL per la trasmissione del cookie di autenticazione. Richiedi SSL è disponibile solo per la configurazione dell'autenticazione basata su form.

Attiva scadenza variabile

Selezionare questa casella di controllo per reimpostare l'ora di scadenza per un cookie di autenticazione valido, se viene formulata una richiesta e se è trascorsa più di metà dell'intervallo di timeout. Attiva scadenza variabile è disponibile solo per la configurazione dell'autenticazione basata su form.

Classe provider di appartenenze

Fare clic per specificare i provider di appartenenze configurati per il sito Web corrente.

Gestisci provider

Fare clic per aprire la finestra di dialogo Impostazioni provider in cui è possibile aggiungere, rimuovere e configurare i provider di appartenenze per il sito Web corrente.

Gestione ruoli attivata

Selezionare questa casella di controllo per attivare la gestione dei ruoli per la gestione delle regole di accesso per i gruppi di account utente.

Classe provider di ruoli

Fare clic per specificare i provider di gestione dei ruoli configurati per il sito Web corrente.

Gestisci provider

Fare clic per aprire la finestra di dialogo Impostazioni provider in cui è possibile aggiungere, rimuovere e configurare i provider di appartenenze ai ruoli per il sito Web corrente.

Vedere anche

Concetti

Implementazione di un provider di appartenenze
Informazioni sulla gestione dei ruoli
Gerarchia ed ereditarietà dei file di configurazione di ASP.NET

Altre risorse

Autenticazione ASP.NET
Snap-in MMC per ASP.NET


Scheda Applicazione, finestra di dialogo Impostazioni di configurazione di ASP.NET

 elenco a discesa elenco a discesa attivabile
Scheda Applicazione, finestra di dialogo Impostazioni di configurazione di ASP.NET
Vedere anche
elenco a discesa

La scheda Applicazione della finestra di dialogo Impostazioni di configurazione di ASP.NET consente di gestire tre tipi di impostazioni di configurazione:

  • Impostazioni comuni per la compilazione, le pagine e l'ambiente di runtime.

  • Impostazioni relative alla globalizzazione.

  • Impostazioni relativa all'identità.

Per visualizzare la finestra di dialogo Impostazioni di configurazione di ASP.NET da Gestione Internet Information Services (IIS)

  1. Aprire la finestra di dialogo Proprietà per l'applicazione Web.

  2. Scegliere ASP.NET, fare clic su Modifica configurazione, quindi scegliere Applicazione.

Le impostazioni configurate nella scheda Applicazione vengono applicate all'applicazione Web selezionata prima di visualizzare la finestra di dialogo Proprietà. Le impostazioni applicate nella scheda Applicazione verranno visualizzate nella sezione di configurazione system.web del file Web.config per l'applicazione Web.

Nota Nota

È possibile ereditare le impostazioni di configurazione. È possibile definire le impostazioni nel file Machine.config, che funge da configurazione di base per tutti i siti Web e le applicazioni Web sul computer server. È possibile creare nuove impostazioni o eseguire l'override delle impostazioni ereditate creando le impostazioni di configurazione a livello di applicazione Web.

Per informazioni relative alla finestra di dialogo Impostazioni di configurazione di ASP.NET, vedere Cenni preliminari sulla configurazione di ASP.NET.

Attività

  • Utilizzando la scheda Applicazione è possibile completare le seguenti attività:

  • Impostare il linguaggio predefinito per le pagine ASP.NET nell'applicazione Web.

  • Impostare il tema e la pagina master predefiniti per l'applicazione Web.

  • Attivare il debug per l'applicazione Web.

  • Specificare il numero massimo di secondi di esecuzione di una richiesta prima che venga arrestata da ASP.NET.

  • Impostare i set di caratteri per la codifica del contenuto per richieste, risposte e impostazioni della lingua, che determinano i risultati delle funzioni dipendenti dalla lingua, come la formattazione della data, dei numeri e della valuta.

  • Impostare l'identità Windows che verrà rappresentata e sotto la quale vengono eseguite le pagine di ASP.NET.

Elementi di interfaccia

La scheda Applicazione è suddivisa in tre categorie:

  • Impostazioni comuni per compilazione, pagine e ambiente runtime

  • Impostazioni globalizzazione

  • Impostazioni identità

Impostazioni comuni per compilazione, pagine e ambiente runtime

Consente di impostare la configurazione di Linguaggio predefinito pagine, Tema predefinito pagine, Pagina master predefinita, Attiva debug e Timeout esecuzione richieste (secondi).

Linguaggio predefinito pagine

Consente di selezionare il linguaggio di programmazione predefinito da utilizzare nei file di compilazione dinamici. I linguaggi disponibili sono VB (sistema di sviluppo Microsoft Visual Basic), C#, JS (software di sviluppo Microsoft JScript) e VJ# (strumento di sviluppo Microsoft Visual J#).

Tema predefinito pagine

Consente di specificare il tema predefinito da applicare a tutte le pagine in un'applicazione Web.

Pagina master predefinita

Consente di specificare il percorso del file della pagina master relativo al file di configurazione locale.

Attiva debug

Consente di specificare se compilare dati binari di debug o della versione finale. Se la casella di controllo è deselezionata, il valore sarà false.

Timeout esecuzione richieste (secondi)

Consente di impostare il numero massimo di secondi in cui è consentita l'esecuzione di una richiesta prima che venga interrotta automaticamente da ASP.NET.

Impostazioni globalizzazione

Consente impostare la configurazione di Codifica richiesta, Codifica risposta, Lingua e Lingua interfaccia.

Codifica richiesta

Consente di specifica la codifica utilizzata da ciascuna richiesta in entrata, inclusi i dati inviati e la stringa di query. Il valore predefinito è UTF-8.

Codifica risposta

Consente di specificare la codifica del contenuto delle risposte. Il valore predefinito è UTF-8.

Codifica file

Consente di specificare la codifica predefinita per l'analisi dei file ASPX, ASMX e ASAX.

Lingua

Specifica la lingua predefinita per l'elaborazione delle richieste Web in entrata. La lingua consente di determinare i risultati delle funzioni dipendenti dalla lingua, quali la formattazione di data, numeri e valuta.

Lingua interfaccia

Consente di selezionare la lingua predefinita per l'elaborazione delle ricerche delle risorse che dipendono dalle impostazioni internazionali.

Impostazioni identità

Consente di impostare la configurazione di Rappresenta, Nome utente e Password.

Rappresenta

Consente di specificare se la rappresentazione client viene utilizzata in ogni richiesta.

Nome utente

Consente di specificare il nome utente da utilizzare, se la rappresentazione client viene utilizzata in ogni richiesta.

Password

Consente di specificare la password da utilizzare, se la rappresentazione client viene utilizzata in ogni richiesta.

Vedere anche

Attività

Procedura: accedere alle impostazioni di configurazione ASP.NET a livello di codice
Procedura: impostare la lingua e la lingua dell'interfaccia utente per la globalizzazione di pagine Web ASP.NET

Riferimenti

Scheda Autenticazione, finestra di dialogo Impostazioni di configurazione di ASP.NET
Scheda Autorizzazione, finestra di dialogo Impostazioni di configurazione di ASP.NET
Scheda Errori personalizzati, finestra di dialogo Impostazioni di configurazione di ASP.NET
Scheda Generale, finestra di dialogo Impostazioni di configurazione di ASP.NET
Scheda Percorsi, finestra di dialogo Impostazioni di configurazione di ASP.NET

Concetti

Cenni preliminari sulla configurazione di ASP.NET
Cenni preliminari su temi e interfacce ASP.NET
Informazioni generali sulle pagine master ASP.NET


Scheda Gestione stato, finestra di dialogo Impostazioni di configurazione di ASP.NET

 elenco a discesa elenco a discesa attivabile
Scheda Gestione stato, finestra di dialogo Impostazioni di configurazione di ASP.NET
Vedere anche
elenco a discesa

La scheda Gestione stato della finestra di dialogo Impostazioni di configurazione di ASP.NET consente di gestire le informazioni sullo stato e sulla pagina attraverso più richieste delle pagine del sito Web corrente. La funzionalità relativa allo stato sessione di ASP.NET consente di archiviare e recuperare i valori per un account utente mentre l'utente si sposta tra le diverse pagine ASP.NET che costituiscono un'applicazione Web. La scheda Gestione stato consente di configurare la modalità e il percorso in cui archiviare i valori.

Le impostazioni configurate nella scheda Gestione stato vengono applicate al sito Web selezionato prima di aprire la finestra di dialogo Proprietà.

Nota Nota

È possibile ereditare le impostazioni di configurazione. È possibile definire le impostazioni nel file Machine.config, che rappresenta la configurazione di base per tutti i siti Web sul server. Per ulteriori informazioni sui file di configurazione ASP.NET, vedere Gerarchia ed ereditarietà dei file di configurazione di ASP.NET.

Per visualizzare la scheda Gestione stato della finestra di dialogo Impostazioni di configurazione di ASP.NET

  1. In Microsoft Windows fare clic sul pulsante Start, scegliere Tutti i programmi, quindi Strumenti di amministrazione, infine Gestione Internet Information Services (IIS).

    Verrà visualizzato Gestione IIS.

  2. In Internet Information Services espandere Servername (computer locale), espandere Siti Web, fare clic con il pulsante destro del mouse su Websitename o Sito Web predefinito, infine scegliere Proprietà.

    Verrà visualizzata la finestra di dialogo Proprietà sito Web.

  3. Fare clic sulla scheda ASP.NET, quindi scegliere Modifica configurazione.

    Verrà visualizzata la finestra di dialogo Impostazioni di configurazione di ASP.NET.

  4. Fare clic sulla scheda Gestione stato.

Attività

Mediante la scheda Gestione stato è possibile:

  • Selezionare la modalità di stato della sessione per l'applicazione Web corrente.

  • Configurare le modalità di stato della sessione SQLServer e StateServer.

Elementi di interfaccia

Modalità stato sessione

Fare clic su una modalità di stato della sessione. La modalità di stato della sessione predefinita è InProc o in memoria sul server Web. Per un elenco delle modalità di stato della sessione disponibili per ASP.NET, vedere Modalità stato sessione.

Modalità senza cookie

Fare clic su una modalità cookie per definire quando utilizzare un cookie per conservare le informazioni sull'utente. Per informazioni sulle modalità senza cookie disponibili, vedere HttpCookieMode.

Timeout sessione

Immettere il periodo di tempo, in minuti, consentito tra le richieste prima che la sessione venga terminata.

Stringa di connessione

Immettere la stringa di connessione che identifica il nome server e la porta del Servizio stato di ASP.NET per la modalità StateServer.

Timeout rete

Immettere il periodo di tempo, in secondi, consentito tra le richieste prima che la sessione di rete venga terminata per la modalità StateServer.

Stringa di connessione

Immettere la stringa di connessione che identifica il nome server e la porta del Servizio stato di ASP.NET per la modalità SQLServer.

Vedere anche

Riferimenti

HttpCookieMode

Concetti

Modalità stato sessione
Gerarchia ed ereditarietà dei file di configurazione di ASP.NET

Altre risorse

Snap-in MMC per ASP.NET


Scheda Percorsi, finestra di dialogo Impostazioni di configurazione di ASP.NET

 elenco a discesa elenco a discesa attivabile
Scheda Percorsi, finestra di dialogo Impostazioni di configurazione di ASP.NET
Vedere anche
elenco a discesa

È possibile applicare le impostazioni di configurazione a un'applicazione Web o directory specifica utilizzando un tag location con un attributo path appropriato. L'attributo path può essere utilizzato per identificare un file o una directory figlio specifica a cui si applicano impostazioni di configurazione univoche. Utilizzando la scheda Percorsi della finestra di dialogo Impostazioni di configurazione di ASP.NET è possibile incorporare le impostazioni di configurazione all'interno di un file di configurazione.

La scheda Percorsi della finestra di dialogo Impostazioni di configurazione di ASP.NET consente di gestire quanto segue:

  • Le configurazioni dei percorsi, vale a dire configurazioni dei percorsi definite nei file di configurazione per i nodi.

Per visualizzare la finestra di dialogo Impostazioni di configurazione di ASP.NET da Gestione Internet Information Services (IIS)

  1. Aprire la finestra di dialogo Proprietà per l'applicazione Web.

  2. Scegliere ASP.NET, fare clic su Modifica configurazione, quindi scegliere Applicazione.

Le impostazioni configurate nella scheda Percorsi vengono applicate all'applicazione Web selezionata prima di visualizzare la finestra di dialogo Proprietà.

Nota È possibile ereditare le impostazioni di configurazione. È possibile definire le impostazioni nel file Machine.config, che funge da configurazione di base per tutti i siti Web e le applicazioni Web sul computer server. È possibile creare nuove impostazioni o eseguire l'override delle impostazioni ereditate creando le impostazioni di configurazione a livello di applicazione Web nel file Web.config.

Per informazioni relative alla finestra di dialogo Impostazioni di configurazione di ASP.NET, vedere Cenni preliminari sulla configurazione di ASP.NET.

Attività

Utilizzando la scheda Percorsi è possibile completare le seguenti attività:

  • Specificare le configurazioni dei percorsi definite nel file di configurazione per un nodo.

Elementi di interfaccia

Configurazioni percorsi

Aggiungi

Consente di visualizzare la finestra di dialogo Aggiungi percorso in cui specificare un indice e un percorso per aggiungere un nuovo percorso alla finestra di dialogo Configurazione percorso nella finestra di dialogo Impostazioni di configurazione di ASP.NET.

Modifica configurazione

Consente di visualizzare una nuova scheda Impostazioni di configurazione di ASP.NET per il nodo specificato dal percorso nel file di configurazione contenente.

Rimuovi

Consente di rimuovere una voce di percorso dal file di configurazione per questo nodo.

Vedere anche

Attività

Procedura: accedere alle impostazioni di configurazione ASP.NET a livello di codice

Riferimenti

Scheda Generale, finestra di dialogo Impostazioni di configurazione di ASP.NET
Scheda Autenticazione, finestra di dialogo Impostazioni di configurazione di ASP.NET
Scheda Autorizzazione, finestra di dialogo Impostazioni di configurazione di ASP.NET
Scheda Errori personalizzati, finestra di dialogo Impostazioni di configurazione di ASP.NET
Scheda Applicazione, finestra di dialogo Impostazioni di configurazione di ASP.NET

Concetti

Cenni preliminari sulla configurazione di ASP.NET
Protezione della configurazione di ASP.NET


Finestra di dialogo Modifica/Aggiungi stringa di connessione

 elenco a discesa elenco a discesa attivabile
Finestra di dialogo Modifica/Aggiungi stringa di connessione
Vedere anche
elenco a discesa

La finestra di dialogo Modifica/Aggiungi stringa di connessione consente di creare una nuova proprietà ConnectionString o di modificare una proprietà ConnectionString esistente. La finestra di dialogo Modifica/Aggiungi stringa di connessione viene visualizzata quando si scelgono i pulsanti Aggiungi o Modifica dalla scheda Generale nella finestra di dialogo Impostazioni di configurazione di ASP.NET.

Per visualizzare la finestra di dialogo Impostazioni di configurazione di ASP.NET da Gestione Internet Information Services (IIS).

  1. Aprire la finestra di dialogo Proprietà per l'applicazione Web.

  2. Scegliere ASP.NET, fare clic su Modifica configurazione, quindi scegliere Applicazione.

È possibile scegliere Aggiungi dalla scheda Generale nella finestra di dialogo Impostazioni di configurazione di ASP.NET per visualizzare la finestra di dialogo Modifica/Aggiungi stringa di connessione. Successivamente, specificare il nome o la chiave della proprietà ConnectionString e il parametro Connection.

È possibile inoltre scegliere Modifica dalla scheda Generale nella finestra di dialogo Impostazioni di configurazione di ASP.NET per visualizzare la finestra di dialogo Modifica/Aggiungi stringa di connessione, dove è possibile quindi modificare una proprietà ConnectionString esistente. La proprietà ConnectionString selezionata viene visualizzata nella casella Connection parameter.

Nota Nota

È possibile eseguire l'override delle impostazioni ereditate. In tal caso, l'impostazione di cui è stato eseguito l'override viene applicata solo all'applicazione Web selezionata. Non è possibile modificare un'impostazione ereditata in modo da elevarne il valore nella gerarchia di configurazione.

Per informazioni relative alla finestra di dialogo Impostazioni di configurazione di ASP.NET, vedere Cenni preliminari sulla configurazione di ASP.NET

Attività

Utilizzando la finestra di dialogo Modifica/Aggiungi stringa di connessione è possibile completare le seguenti attività:

  • Aggiungere una nuova proprietà ConnectionString alla finestra di dialogo Connection string manager nella scheda Generale.

  • Modificare una proprietà ConnectionString esistente nella finestra di dialogo Connection string manager nella scheda Generale.

Elementi di interfaccia

Modifica/Aggiungi stringa di connessione

Nome

Consente di specificare il nome della proprietà ConnectionString.

Se si richiama la finestra di dialogo Modifica/Aggiungi stringa di connessione facendo clic su Modifica nella scheda Generale, non sarà possibile specificare un nome per la stringa di connessione.

Parametro di connessione

Consente di specificare il nome della proprietà ConnectionString.

Se si richiama la finestra di dialogo Modifica/Aggiungi stringa di connessione facendo clic su Modifica nella stringa Generale, la casella Parametro di connessione contiene il valore di una proprietà ConnectionString esistente.

OK

Consente di applicare la nuova proprietà ConnectionString creata o di applicare le modifiche effettuate a una proprietà ConnectionString esistente.

Annulla

Consente di chiudere la finestra di dialogo Modifica/Aggiungi stringa di connessione. Non vengono scritte modifiche al gestore della stringa di connessione.

Vedere anche

Riferimenti

Scheda Generale, finestra di dialogo Impostazioni di configurazione di ASP.NET
Elemento connectionStrings (schema delle impostazioni ASP.NET)

Concetti

Cenni preliminari sulla configurazione di ASP.NET


Finestra di dialogo Modifica/Aggiungi impostazioni applicazione

 elenco a discesa elenco a discesa attivabile
Finestra di dialogo Modifica/Aggiungi impostazioni applicazione
Vedere anche
elenco a discesa

Le impostazioni applicazione sono coppie chiave/valore semplici che consentono di creare valori a livello di applicazione in un percorso centrale che è accessibile da qualsiasi punto all'interno dell'applicazione Web. Mantenendo le impostazioni dell'applicazione come parte della configurazione nel file Web.config, sarà possibile modificarle facilmente. Nella finestra di dialogo Application settings scheda Generale viene visualizzato l'elenco delle coppie chiave/valore per l'impostazione delle applicazioni.

Nella finestra di dialogo Modifica/Aggiungi impostazioni applicazione è possibile creare e modificare le impostazioni delle applicazioni Web.

È possibile fare clic su Aggiungi nell'area Application settings della scheda Generale della finestra di dialogo Impostazioni di configurazione ASP.NET per visualizzare la finestra di dialogo Modifica/Aggiungi impostazioni applicazione. Successivamente, specificare la chiave e il valore della proprietà AppSettings che vengono aggiunti alla finestra di dialogo Application settings e al file Web.config per l'applicazione Web.

In modo simile, è possibile selezionare un'impostazione nella finestra Application settings, quindi fare clic su Modifica. Successivamente, è possibile modificare il valore della proprietà AppSettings selezionata. Le modifiche vengono aggiunte alla finestra di dialogo Application settings e al file Web.config per l'applicazione Web.

Per visualizzare la finestra di dialogo Impostazioni di configurazione di ASP.NET da Gestione Internet Information Services (IIS).

  1. Aprire la finestra di dialogo Proprietà per l'applicazione Web.

  2. Scegliere ASP.NET, fare clic su Modifica configurazione, quindi scegliere Applicazione.

Per informazioni relative alla finestra di dialogo Impostazioni di configurazione di ASP.NET, vedere Cenni preliminari sulla configurazione di ASP.NET

Attività

Utilizzando la finestra di dialogo Modifica/Aggiungi impostazioni applicazione è possibile completare le seguenti attività:

  • Creare nuove coppie chiave/valore che consentano di creare valori a livello di applicazioni in un percorso centrale.

  • Modificare una coppia chiave/valore attualmente nell'applicazione Web.

Elementi di interfaccia

Chiave

Consente di aggiungere una nuova chiave per una coppia chiave/valore. Se si è selezionato Modifica, non è possibile specificare una nuova chiave nella casella di testo.

Valore

Consente di aggiungere un nuovo valore per una coppia chiave/valore. Se si è fatto clic su Modifica, è possibile modificare il valore della coppia chiave/valore selezionata.

OK

Consente di applicare la nuova proprietà AppSettings creata o di applicare le modifiche effettuate a una proprietà esistente.

Annulla

Consente di chiudere la finestra di dialogo Modifica/Aggiungi impostazioni applicazione senza effettuare modifiche alle impostazioni dell'applicazione o al file Web.config per l'applicazione Web.

Vedere anche

Riferimenti

Scheda Generale, finestra di dialogo Impostazioni di configurazione di ASP.NET
Elemento appSettings (schema delle impostazioni generali)

Concetti

Cenni preliminari sulla configurazione di ASP.NET


Finestra di dialogo Modifica/Aggiungi gestori di errori personalizzati

 elenco a discesa elenco a discesa attivabile
Finestra di dialogo Modifica/Aggiungi gestori di errori personalizzati
Vedere anche
elenco a discesa

La finestra di dialogo Modifica/Aggiungi gestori di errori personalizzati consente di mappare un codice di errore a una pagina di errori specifica. Quando il codice di errore viene generato da ASP.NET, viene visualizzata la pagina specificata.

Le impostazioni configurate nella scheda Modifica/Aggiungi gestori di errori personalizzati vengono applicate all'applicazione Web selezionata prima di aprire la finestra di dialogo Proprietà.

Nota Nota

È possibile ereditare le impostazioni di configurazione. Le impostazioni possono essere definite nel file Machine.config, che funge da configurazione di base per tutti i siti Web e le applicazioni presenti sul server. È possibile creare nuove impostazioni o eseguire l'override di quelle ereditate creando le impostazioni di configurazione a livello di applicazione Web.

Nota ASP.NET non consente di ricevere determinati codici di errore, ad esempio 404. È possibile mappare solo gli errori generati internamente in ASP.NET.

Per aprire la finestra di dialogo Modifica/Aggiungi gestori di errori personalizzati

  1. In Microsoft Windows aprire Strumenti di amministrazione, quindi fare clic su Gestione Internet Information Services (IIS).

    Verrà visualizzato Gestione IIS.

  2. In Internet Information Services espandere Servername (computer locale), quindi Websitename o Sito Web predefinito, infine fare clic su Proprietà.

    Verrà visualizzata la finestra di dialogo Proprietà sito Web.

  3. Fare clic sulla scheda ASP.NET, quindi scegliere Modifica configurazione.

    Verrà visualizzata la finestra di dialogo Impostazioni di configurazione di ASP.NET.

  4. Fare clic su Errori personalizzati.

    • Per aggiungere un gestore di errori personalizzato, fare clic su Aggiungi.

    • Per modificare un gestore di errori personalizzato, fare clic su Modifica.

    Verrà visualizzata la finestra di dialogo Modifica/Aggiungi gestori di errori personalizzati

Elementi di interfaccia

Codice stato

Digitare il codice di errore HTTP da mappare a una pagina di errore.

URL di reindirizzamento

Immettere l'URL della pagina da visualizzare mediante ASP.NET in risposta al codice di errore. È necessario che la pagina a cui si fa riferimento non si trovi nel sito Web corrente.

Nota Nota

ASP.NET non convalida l'URL immesso.

OK

Fare clic per salvare il gestore di errori personalizzato.

Annulla

Fare clic per annullare le modifiche.

Vedere anche

Riferimenti

Scheda Errori personalizzati, finestra di dialogo Impostazioni di configurazione di ASP.NET
Scheda Errori personalizzati, finestra di dialogo Impostazioni di configurazione di ASP.NET


Finestra di dialogo Modifica regola

 elenco a discesa elenco a discesa attivabile
Finestra di dialogo Modifica regola
Vedere anche
elenco a discesa

La finestra di dialogo Modifica regola consente di creare una nuova regola di autorizzazione o di modificarne una esistente. È possibile creare account utente e ruoli mediante l'autenticazione di Microsoft Windows o l'autenticazione basata su form di ASP.NET (appartenenze di ASP.NET).

Per aprire la finestra di dialogo Modifica regola

  1. In Windows aprire Strumenti di amministrazione, quindi fare clic su Gestione Internet Information Services (IIS).

    Verrà visualizzato Gestione IIS.

  2. In Internet Information Services espandere Servername (computer locale), quindi Siti Web, fare clic con il pulsante destro del mouse su Websitename o Sito Web predefinito, infine scegliere Proprietà.

    Verrà visualizzata la finestra di dialogo Proprietà sito Web.

  3. Fare clic sulla scheda ASP.NET, quindi scegliere Modifica configurazione.

    Verrà visualizzata la finestra di dialogo Impostazioni di configurazione di ASP.NET.

  4. Fare clic sulla scheda Autorizzazione.

    • Per aggiungere una regola, fare clic su Aggiungi.

    • Per modificare una regola, selezionarla, quindi fare clic su Modifica.

    Verrà visualizzata la finestra di dialogo Modifica regola.

Attività

Mediante la finestra di dialogo Modifica regola è possibile:

  • Creare una nuova regola di autorizzazione o modificarne una esistente.

Elementi di interfaccia

Tipo regola

Fare clic su Consenti per consentire l'accesso di tutti gli utenti.

-oppure-

Fare clic su Nega per negare l'accesso a tutti gli utenti.

Per informazioni dettagliate sulle regole, vedere AuthorizationRuleCollection.

Verbi

Fare clic su Tutti i verbi per specificare che viene consentito l'accesso a tutti i metodi di trasmissione HTTP di ASP.NET. Tutti i verbi è l'impostazione predefinita.

Fare clic su Verbi specifici, quindi digitare un elenco separato da virgole dei metodi di trasmissione HTTP a cui viene concesso l'accesso.

I verbi registrati in ASP.NET sono GET, HEAD, POST e DEBUG.

Utenti e ruoli

Obbligatorio.

Completare una o più azioni tra quelle riportate di seguito per applicare la regola:

  • Fare clic su Tutti gli utenti per applicare la regola a tutti gli utenti.

  • Fare clic su Utenti anonimi per applicare la regola solo agli account utente anonimi.

  • Fare clic su Utenti, quindi digitare un elenco separato da virgole di nomi di account utente per applicare la regola a un insieme specifico di account utente.

  • Selezionare la casella di controllo Ruoli, quindi digitare un elenco separato da virgole di nomi di ruoli per applicare la regola a un insieme specifico di ruoli.

Se si specifica sia Utenti che Ruoli, la regola verrà applicata solo agli account utente che si trovano nei ruoli specificati.

Utilizzare l'autenticazione di Windows o di ASP.NET (appartenenza di ASP.NET) per definire account utente e ruoli.

OK

Fare clic per applicare la regola.

Annulla

Fare clic per annullare le modifiche.

Vedere anche

Attività

Procedura: implementare l'autenticazione basata su form semplice

Riferimenti

Scheda Autorizzazione, finestra di dialogo Impostazioni di configurazione di ASP.NET
Scheda Autorizzazione, finestra di dialogo Impostazioni di configurazione di ASP.NET

Concetti

Autenticazione basata su form tra applicazioni

Altre risorse

Gestione delle autorizzazioni con i ruoli ASP.NET (Visual Studio)


Finestra di dialogo Aggiungi percorso

 elenco a discesa elenco a discesa attivabile
Finestra di dialogo Aggiungi percorso
Vedere anche
elenco a discesa

La finestra di dialogo Aggiungi percorso consente di aggiungere una nuova impostazione di configurazione del percorso al sito Web. Le impostazioni di configurazione possono essere applicate a risorse specifiche utilizzando il tag <location> con un attributo path appropriato. L'attributo path può essere utilizzato per identificare un file o una directory figlio specifica a cui si applicano impostazioni di configurazione univoche.

La finestra di dialogo Aggiungi percorso viene visualizzata quando si sceglie il pulsante Aggiungi dalla scheda Percorsi della finestra di dialogo Impostazioni di configurazione di ASP.NET.

Per visualizzare la finestra di dialogo Impostazioni di configurazione di ASP.NET da Gestione Internet Information Services (IIS)

  1. Aprire la finestra di dialogo Proprietà per l'applicazione Web.

  2. Scegliere ASP.NET, fare clic su Modifica configurazione, quindi scegliere Applicazione.

Utilizzando la finestra di dialogo Aggiungi percorso è possibile:

  • Specificare l'indice (chiave) dell'elemento dei percorsi.

  • Specificare il valore del percorso aggiunto all'elenco di configurazione Percorso.

Elementi di interfaccia

Indice

Specifica l'indice (chiave) dell'elemento dei percorsi.

Percorso

Specifica il valore dell'elemento che viene aggiunto all'elenco, ad esempio il percorso di un file o di una directory specifica.

OK

Applica il nuovo valore di percorso immesso nella casella Configurazioni percorsi della finestra di dialogo Impostazioni di configurazione di ASP.NET. Chiude la finestra di dialogo Aggiungi percorso.

Annulla

Chiude la finestra di dialogo Aggiungi percorso. Non viene apportata alcuna modifica al contenuto della casella Configurazioni percorsi.

Vedere anche

Riferimenti

Scheda Percorsi, finestra di dialogo Impostazioni di configurazione di ASP.NET
Scheda IIS locale, finestra di dialogo Scegli percorso/Apri sito Web

Concetti

Cenni preliminari sulla configurazione di ASP.NET


dv_aspnetmmchxs {2DDA7CF9-E8CF-4df1-98E8-521EDE1C5FC7}

 elenco a discesa elenco a discesa attivabile
dv_aspnetmmchxs {2DDA7CF9-E8CF-4df1-98E8-521EDE1C5FC7}
elenco a discesa

dv_aspnetmmchxs {2DDA7CF9-E8CF-4df1-98E8-521EDE1C5FC7}

{2DDA7CF9-E8CF-4df1-98E8-521EDE1C5FC7}

{2DDA7CF9-E8CF-4df1-98E8-521EDE1C5FC7}

Rappresentazione grafica degli argomenti relativi al debug dell'indice e alla ricerca full-text